.hero {
    position: relative;
    overflow: hidden;
}

.hero-bg-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    overflow: hidden;
}

.hero-bg {
    transform: scale(1.1);
    transform-origin: center center;
    will-change: transform;
}

.hero-curtain-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3;

    display: flex;
}

.hero-curtain-slice {
    flex: 1;
    height: 100%;
    background-color: #ffffff;
    will-change: transform;
}



.vertical-text-container {
    opacity: 0;
    border-left: none !important;
    position: absolute;
}

/* 6. Content Reveals */
.hero-line {
    overflow: hidden;
    position: relative;
    display: block;
}

.hero-line-text,
.hero-subtitle,
.hero-btn-group,
.social-icon-container,
.hero-right-content .hero-card {
    opacity: 0;
}

.hero>.container-fluid,
.hero>.container {
    position: relative;
    z-index: 2;
}